﻿using Windows.Foundation;
using Windows.System;
using Windows.UI.Core;
using Windows.UI.Input.Inking;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;
using System;

namespace TestApp
{
	public sealed partial class MainPage : Page
	{
		public MainPage()
		{
			this.InitializeComponent();

			// Initialize InkCanvas
			InkDrawingAttributes attributes = new InkDrawingAttributes();
			attributes.Color = Windows.UI.Colors.Black;
			attributes.Size = new Size(2, 2);
			attributes.IgnorePressure = true;
			attributes.FitToCurve = false;

			canvas.InkPresenter.UpdateDefaultDrawingAttributes(attributes);
			canvas.InkPresenter.InputDeviceTypes = CoreInputDeviceTypes.Mouse | CoreInputDeviceTypes.Touch;
		}

		private async void Run()
		{
			await System.Threading.Tasks.Task.Delay(2000);

			// require target exe to whitelist from powershell
			// reg.exe ADD "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\EmbeddedMode\ProcessLauncher" /v AllowedExecutableFilesList /t REG_MULTI_SZ /d "c:\test\tnkHidInjectTest.exe\0"
			var res = await ProcessLauncher.RunToCompletionAsync(@"c:\test\tnkHidInjectTest.exe", "");
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			base.OnNavigatedTo(e);

			Run();
		}
	}
}
